Subject: bug#56340: Change erc dependencies (ELPA question)

From: Stefan Monnier <[email-masked]>
Date: Wed, 12 Oct 2022 13:45:23 -0400

> ERC will be introducing some new files soon, but not all in one go. I
> was therefore wondering if it'd be possible to modify our ELPA-packages
> entry to be more resilient to piecemeal changes.
>
> The attached patch appears to produce an identical tarball, but it's
> quite possible I'm just fooling myself. Can you take a peek sometime?

That sounds sane.  I recommend you install it and then next time we make
a change to `erc.el` (without changing the `Version:` yet) we can check
the generated package on https://elpa.gnu.org/devel/erc.html

Note that GNU-devel :core packages are only produced when the "main"
file (e.g. `erc.el`) is modified (contrary to non-:core packages, where
any new commit causes a new tarball to be produced).

        Stefan